CVE-2013-2298

NameCVE-2013-2298
DescriptionMultiple stack-based buffer overflows in the XML parser in BOINC 7.x allow attackers to have unspecified impact via a crafted XML file, related to the scheduler.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
boinc (PTS)buster7.14.2+dfsg-3fixed
bullseye7.16.16+dfsg-1fixed
bookworm7.20.5+dfsg-1.1fixed
sid, trixie8.0.2+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
boincsource(unstable)7.0.65+dfsg-1low

Notes

[wheezy] - boinc <no-dsa> (Minor issue, only exploitable by a rogue BOINC server)
[squeeze] - boinc <no-dsa> (Minor issue, only exploitable by a rogue BOINC server)
http://boinc.berkeley.edu/gitweb/?p=boinc-v2.git;a=commitdiff;h=2fea03824925cbcb976f4191f4d8321e41a4d95b

Search for package or bug name: Reporting problems